import QtQuick 1.0
import com.meego 1.0
import "../" 1.0

SharingView {
    id: mysharingView
    width: sharingViewLoader.width
    height: sharingViewLoader.height

    function setUrl() {
    }

    function setHtml() {
    }

    onClosed: {
    }

    anchors.centerIn: parent

    Image {
        id: background
        source: "../images/background.jpg"
        anchors.fill: parent
    }

    Rectangle {
        width: parent.width
        height: parent.height
        color: "transparent"


        Facebook {
            id: facebook
            url: sharingUrl

            anchors.top: parent.top
            anchors.topMargin: 80

            width: mysharingView.width
            height: mysharingView.height - 80

            onLoadingStarted: {
                waitingIndicator.visible = true
                waitingIndicator.running = true
            }

            onLoadingFinished: {
                waitingIndicator.visible = false
                waitingIndicator.running = false
            }

            onLoadingFailed: {
                waitingIndicator.visible = false
                waitingIndicator.visible = false
            }
        }

        MouseArea {
            id: waitingIndicatorMouse
            anchors.fill: parent
            visible: waitingIndicator.visible
            BusyIndicator {
                id: waitingIndicator
                anchors.centerIn: parent
                visible: true
                platformStyle: BusyIndicatorStyle { size: "large" }
            }
        }

        AppButton {
            id: exitFromView

            width: 47
            height: 55

            normalImageSource: "images/back.PNG"
            pressedImageSource: "images/back_pressed.PNG"

            anchors.left: parent.left
            anchors.leftMargin: 15
            anchors.top: parent.top
            anchors.topMargin: 20


            onClicked: {
                sharingViewLoader.close();
            }
        }
    }
}

